GNU bug report logs - #841
23.0.60; ediff-merge-revision: Buffer exceeds maximum size

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: kifer@HIDDEN; Keywords: unreproducible moreinfo; merged with #837, #843, #844, #2706; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug closed, send any further explanations to 2706 <at> debbugs.gnu.org and Martin <nospam@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) moreinfo. Request was from Chong Yidong <cyd@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Disconnected #2705 from all other report(s). Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 837 841 843 844 2705 2706. Request was from Jason Rumney <jasonr@HIDDEN> to control@HIDDEN. Full text available.
bug reopened, originator not changed. Request was from Jason Rumney <jasonr@HIDDEN> to control@HIDDEN. Full text available.
bug unarchived. Request was from Jason Rumney <jasonr@HIDDEN> to control@HIDDEN. Full text available.
bug archived. Request was from Debbugs Internal Request <don@HIDDEN> to internal_control@HIDDEN. Full text available.
Tags added: unreproducible Request was from Glenn Morris <rgm@HIDDEN> to control@HIDDEN. Full text available.
Merged 837 841 843 844. Request was from Glenn Morris <rgm@HIDDEN> to control@HIDDEN. Full text available.

Message received at (unknown):


Received: (at unknown) by unknown; unknown
X-Spam-Checker-Version: SpamAssassin 3.2.3-bugs.debian.org_2005_01_02
	(2007-08-08) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Status: No, score=-5.3 required=4.0 tests=AWL,BAYES_00,FOURLA,GMAIL,
	MURPHY_DRUGS_REL8,RCVD_IN_DNSWL_MED autolearn=ham
	version=3.2.3-bugs.debian.org_2005_01_02
Received: (at submit) by emacsbugs.donarmstrong.com; 31 Aug 2008 19:36:55 +0000
Received: from fencepost.gnu.org (fencepost.gnu.org [140.186.70.10])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id m7VJapeJ013514
	for <submit@HIDDEN>; Sun, 31 Aug 2008 12:36:52 -0700
Received: from mail.gnu.org ([199.232.76.166]:43905 helo=mx10.gnu.org)
	by fencepost.gnu.org with esmtp (Exim 4.67)
	(envelope-from <kifer@HIDDEN>)
	id 1KZshg-0006HU-ML
	for emacs-pretest-bug@HIDDEN; Sun, 31 Aug 2008 15:35:16 -0400
Received: from Debian-exim by monty-python.gnu.org with spam-scanned (Exim 4.60)
	(envelope-from <kifer@HIDDEN>)
	id 1KZsj8-0004QS-Db
	for emacs-pretest-bug@HIDDEN; Sun, 31 Aug 2008 15:36:51 -0400
Received: from sbcs.cs.sunysb.edu ([130.245.1.15]:52341)
	by monty-python.gnu.org with esmtp (Exim 4.60)
	(envelope-from <kifer@HIDDEN>)
	id 1KZsj8-0004OQ-1q
	for emacs-pretest-bug@HIDDEN; Sun, 31 Aug 2008 15:36:46 -0400
Received: from kiferserv (compserv1 [130.245.1.44])
	by sbcs.cs.sunysb.edu (8.13.6/8.12.11) with ESMTP id m7VJabvR012012;
	Sun, 31 Aug 2008 15:36:37 -0400 (EDT)
Date: Sun, 31 Aug 2008 15:36:37 -0400
From: Michael Kifer <kifer@HIDDEN>
To: "Lennart Borgman (gmail)" <lennart.borgman@HIDDEN>
Cc: emacs-pretest-bug@HIDDEN
Subject: Re: 23.0.60; ediff-merge-revision: Buffer exceeds maximum size
Message-ID: <20080831153637.1103334a@kiferserv>
In-Reply-To: <48BA9F45.2090908@HIDDEN>
References: <48BA9F45.2090908@HIDDEN>
Reply-To: kifer@HIDDEN
Organization: Stony Brook University
X-Mailer: Claws Mail 3.5.0 (GTK+ 2.12.9; i486-pc-linux-gnu)
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
X-detected-kernel: by monty-python.gnu.org: Solaris 10 (1203?)



On Sun, 31 Aug 2008 15:40:21 +0200
"Lennart Borgman (gmail)" <lennart.borgman@HIDDEN> wrote:

> When I just made a checkout of Emacs from CVS I got a merge conflict
> which I used ediff-revision to resolve. I then got the following back
> trace when I did "wb" to save the corrected file:
> 
> Debugger entered--Lisp error: (error "Buffer exceeds maximum size")
>   call-process("diff" nil #<buffer *ediff-custom-diff*> nil "-c"

This says that the output of diff -c exceeds the buffer size.

It is unclear how this is related to ediff per se, since ediff merely calls
call-process with the above command.

> "c:/DOCUME~1/LENNAR~1/LOCALS~1/Temp/ediff282470M"
> "c:/ecvsnew/bld/emacs/src/w32term.c")
>   apply(call-process "diff" nil #<buffer *ediff-custom-diff*> nil ("-c"
> "c:/DOCUME~1/LENNAR~1/LOCALS~1/Temp/ediff282470M"
> "c:/ecvsnew/bld/emacs/src/w32term.c"))
>   ediff-exec-process("diff" #<buffer *ediff-custom-diff*> synchronize
> "-c" "c:/DOCUME~1/LENNAR~1/LOCALS~1/Temp/ediff282470M"
> "c:/ecvsnew/bld/emacs/src/w32term.c")
>   ediff-compute-custom-diffs-maybe()
>   ediff-save-buffer(nil)
>   call-interactively(ediff-save-buffer nil nil)
> 
> Looking into ediff-custom-diff I can see there is some problem with ^M:

Can you explain what the problem is? It is unclear from the included text below.

In any case, I deed to be able to reproduce it in order to be able to determine
if something needs to be fixed in ediff. Right now it does not look like
an ediff problem.

michael


> ! 	emacs_event->part = scroll_bar_handle;
> ! 	y = 0;
> ! 	break;
>         case SB_BOTTOM:
> ! 	emacs_event->part = scroll_bar_handle;
> ! 	y = top_range;
> ! 	break;
>         case SB_THUMBTRACK:
>         case SB_THUMBPOSITION:
> ! 	if (VERTICAL_SCROLL_BAR_TOP_RANGE (f, XINT (bar->height)) <= 0xffff)
>             y = HIWORD (msg->msg.wParam);
> 
> ! 	bar->dragging = Qt;
> 
> ! 	emacs_event->part = scroll_bar_handle;
> 
> 
> 
> ! 	/* "Silently" update current position.  */
> 
> ! 	{
> 
> ! 	  SCROLLINFO si;
> 
> 
> 
> 
> This was with my patched version, but I do not think I have any patches
> that comes in here:
> 
> In GNU Emacs 23.0.60.1 (i386-mingw-nt5.1.2600)
>  of 2008-08-28 (patched)
> Windowing system distributor `Microsoft Corp.', version 5.1.2600
> configured using `configure --with-gcc (3.4) --cflags -Ic:/g/include'
> 
> 




Acknowledgement sent to kifer@HIDDEN:
New bug report received and forwarded. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Report forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#841; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 25 Dec 2015 23:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.